---
title: border-bottom-right-radius
slug: Web/CSS/border-bottom-right-radius
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-bottom-right-radius</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property rounds the bottom-right corner of an element by specifying the radius (or the radius of the semi-major and semi-minor axes) of the ellipse defining the curvature of the corner.</p>

<div>{{EmbedInteractiveExample("pages/css/border-bottom-right-radius.html")}}</div>

<p>The rounding can be a circle or an ellipse, or if one of the value is <code>0</code> no rounding is done and the corner is square.</p>

<div style="text-align: center;"><img alt="border-bottom-right-radius.png" class="default internal" src="/@api/deki/files/6134/=border-bottom-right-radius.png"></div>

<p>A background, being an image or a color, is clipped at the border, even a rounded one; the exact location of the clipping is defined by the value of the {{cssxref("background-clip")}} property.</p>

<div class="note"><strong>Note:</strong> If the value of this property is not set in a {{cssxref("border-radius")}} shorthand property that is applied to the element after the <code>border-bottom-right-radius</code> CSS property, the value of this property is then reset to its initial value by the <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand property</a>.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* The corner is a circle */
/* border-bottom-right-radius: <em>radius</em> */
border-bottom-right-radius: 3px;

/* Percentage values */
border-bottom-right-radius: 20%; /* corner of a circle if box is a square or else corner of a rectangle */
border-bottom-right-radius: 20% 20%; /* same as above */ /* 20% of horizontal(width) and vertical(height) */
border-bottom-right-radius: 20% 10%; /* 20% of horizontal(width) and 10% of vertical(height) */

/*The corner is an ellipse */
/* border-bottom-right-radius: horizontal vertical */
border-bottom-right-radius: 0.5em 1em;

border-bottom-right-radius: inherit;</pre>

<p>With one value:</p>

<ul>
	<li>the value is a {{cssxref("&lt;length&gt;")}} or a {{cssxref("&lt;percentage&gt;")}} denoting the radius of the circle to use for the border in that corner.</li>
</ul>

<p>With two values:</p>

<ul>
	<li>the first value is a {{cssxref("&lt;length&gt;")}} or a {{cssxref("&lt;percentage&gt;")}} denoting the horizontal semi-major axis of the ellipse to use for the border in that corner.</li>
	<li>the second value is a {{cssxref("&lt;length&gt;")}} or a {{cssxref("&lt;percentage&gt;")}} denoting the vertical semi-major axis of the ellipse to use for the border in that corner.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>&lt;length-percentage&gt;</code></dt>
	<dd>Denotes the size of the circle radius or the semi-major and semi-minor axes of the ellipse. As absolute length it can be expressed in any unit allowed by the CSS {{cssxref("&lt;length&gt;")}} data type. Percentages for the horizontal axis refer to the width of the box, percentages for the vertical axis refer to the height of the box. Negative values are invalid.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Examples_of_different_border-bottom-right-radius_values">Examples of different border-bottom-right-radius values</h3>

<table class="standard-table">
	<thead>
		<tr>
			<th>Live example</th>
			<th>Code</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td style="padding: 1.5em;">
			<div style="background-color: lightgreen; border: solid 1px black; border-bottom-right-radius: 40px 40px; width: 100px; height: 100px;">
			<div style="display: none;">.</div>
			</div>
			</td>
			<td>An arc of circle is used as the border
			<pre class="brush: css notranslate">
div {
  border-bottom-right-radius: 40px 40px;
}
</pre>
			</td>
		</tr>
		<tr>
			<td style="padding: 1.5em;">
			<div style="background-color: lightgreen; border: solid 1px black; border-bottom-right-radius: 40px 20px; width: 100px; height: 100px;">
			<div style="display: none;">.</div>
			</div>
			</td>
			<td>An arc of ellipse is used as the border
			<pre class="brush: css notranslate">
div {
  border-bottom-right-radius: 40px 20px;
}
</pre>
			</td>
		</tr>
		<tr>
			<td style="padding: 1.5em;">
			<div style="background-color: lightgreen; border: solid 1px black; border-bottom-right-radius: 40%; width: 100px; height: 100px;">
			<div style="display: none;">.</div>
			</div>
			</td>
			<td>The box is a square: an arc of circle is used as the border
			<pre class="brush: css notranslate">
div {
  border-bottom-right-radius: 40%;
}
</pre>
			</td>
		</tr>
		<tr>
			<td style="padding: 1.5em;">
			<div style="background-color: lightgreen; border: solid 1px black; border-bottom-right-radius: 40%; width: 100px; height: 200px;">
			<div style="display: none;">.</div>
			</div>
			</td>
			<td>The box is not a square: an arc of ellipse is used as the border
			<pre class="brush: css notranslate">
div {
  border-bottom-right-radius: 40%;
}
</pre>
			</td>
		</tr>
		<tr>
			<td style="padding: 1.5em;">
			<div style="border: black 3px double; border-bottom-right-radius: 40%; height: 100px; width: 100px; background-color: rgb(250,20,70); background-clip: content-box;">
			<div style="display: none;">.</div>
			</div>
			</td>
			<td>The background color is clipped at the border
			<pre class="brush: css notranslate">
div {
  border-bottom-right-radius:40%;
  border-style: black 3px double;
  background-color: rgb(250,20,70);
  background-clip: content-box;
}
</pre>
			</td>
		</tr>
	</tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Backgrounds', '#propdef-border-bottom-right-radius', 'border-bottom-right-radius')}}</td>
			<td>{{Spec2('CSS3 Backgrounds')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-bottom-right-radius")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("border-radius")}} shorthand property</li>
	<li>{{cssxref("border-top-right-radius")}}, {{cssxref("border-bottom-left-radius")}}, and {{cssxref("border-top-left-radius")}}</li>
</ul>
